Name:		ttyrec
Version:	1.1.7.1
Release:	%mkrel 1
Summary:	A tty recorder
Group:		Text tools
License:	BSD
URL:		https://github.com/ovh/ovh-ttyrec
Source:		https://github.com/ovh/ovh-ttyrec/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		04_64-bit.diff
Patch1:		05_WINSZ.diff
Patch2:		06_pause.diff
Patch3:		12_ttyplay_fix_select.diff
Patch4:		13_ttyplay_fread.diff
Patch5:		15_ttyrec_dont_record_query.diff
Patch6:		0007-Replace-set_progname-that-allocates-with-err-3.patch
Patch8:		0008-docs-ttyrec.1-useless-whatis-entry.patch
Patch9:		0009-ttyplay-add-bind-q-to-quit-and-s-0-the-same-instead-.patch
Patch10:	0010-ttyplay-don-t-use-uninitialised-memory-on-partial-he.patch
Patch11:	0011-ttyplay-p-wait-for-input-with-inotify-if-available-C.patch
Patch12:	0012-Don-t-try-to-exec-char-1-if-SHELL-doesn-t-have-a-Clo.patch

BuildRequires:	pkgconfig(libzstd)

%description
ttyrec is a tty recorder that records your terminal sessions with
microsecond accuracy. It can record emacs -nw, vi, lynx, or any
programs running on tty.

%prep
%autosetup -p1 -n ovh-%{name}-%{version}

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/tty*
%{_mandir}/man1/tty*.1*


%changelog
* Fri May 23 2025 daviddavid <daviddavid> 1.1.7.1-1.mga10
+ Revision: 2186010
- new version: 1.1.7.1 (from https://github.com/ovh/ovh-ttyrec)
- sync patches with debian

* Tue Mar 15 2022 umeabot <umeabot> 1.0.8-10.mga9
+ Revision: 1792763
- Mageia 9 Mass Rebuild

* Sat Mar 21 2020 umeabot <umeabot> 1.0.8-9.mga8
+ Revision: 1558700
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.8-8.mga7
+ Revision: 1301469
- Mageia 7 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 1.0.8-7.mga6
+ Revision: 929740
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.8-6.mga5
+ Revision: 749378
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.8-5.mga5
+ Revision: 689970
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.8-4.mga4
+ Revision: 519763
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.8-3.mga3
+ Revision: 384838
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 12 2013 solbu <solbu> 1.0.8-2.mga3
+ Revision: 359571
- Replace our patch with Debian patches, from ttyrex
- Drop unneded libbsd-devel BuildRequires

* Wed Jun 06 2012 solbu <solbu> 1.0.8-1.mga3
+ Revision: 256621
- Spec cleanup
- imported package ttyrec


* Sun Apr 29 2012 Johnny A. Solbu <solbu@mandriva.org> 1.0.8-1
- Imported Fedora package
- Spec cleanup

* Sat Sep 24 2011 James Martin <jmartin@learningobjects.com> - 1.0.8-2
- Patched Makefile  to support openpty builds. 

* Wed Jun 29 2011 Huaren Zhong <huaren.zhong@gmail.com> - 1.0.8
- Rebuild for Fedora

* Wed Oct 01 2008 Tiziana Ferro <tiziana.ferro@email.it> 1.0.8-1mamba
- update to 1.0.8

* Fri Nov 18 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.0.6-1qilnx
- package created by autospec
